using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Common;
using YandexMusic.API.Models.Queue;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Queue;

[YApiRequest(WebRequestMethods.Http.Get, "queues/{queueId}")]
public class YGetQueueBuilder : YRequestBuilder<YResponse<YQueue>, string>
{
    public YGetQueueBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override Dictionary<string, string> GetSubstitutions(string queueId)
    {
        return new Dictionary<string, string> {
            { "queueId", queueId }
        };
    }
}
